/* 
  Main Menu
*/

/* Animations */
@keyframes rotate45 {
  from {
    transform: rotate(-45deg);
  }
  to {
    transform: rotate(0deg);
  }
}

@keyframes rotate0 {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(-45deg);
  }
}

/* Menu button */
.main-menu_icon {
  transform: rotate(-45deg);
}

/* Change icon color on dark bg */
.style-dark-override .main-menu_icon {
  fill: #fff;
}

.main-menu_icon--open {
  animation: rotate45 0.8s forwards;
}

.main-menu_icon--close-fast {
  animation: rotate0 0.6s forwards;
}

.main-menu_icon--close {
  animation: rotate0 0.8s forwards;
}

/* Logo */

/* Hide default logo on sticky header */
.is_stuck .mobile-logo img:first-child,
.shrinked .logo-image:not(.mobile-logo) img:first-child {
  display: none !important;
}

.menu-primary:not(.is_stuck) .mobile-sticky-header-logo,
.logo-container:not(.shrinked) .sticky-header-logo {
  display: none !important;
}

@media (max-width: 959px) {
  .main-menu_icon {
    height: 32px;
    width: 32px;
  }

  /* Header bar on mobile */
  .is_stuck .main-menu_icon {
    fill: #000;
  }
}
